/*
 * Inspired by Neighbors Are Important, a script by Zuu.
 *
 * License: GPL2
 */

SELF_VERSION <- 1;

class SyCityGrowth extends GSInfo {
	function GetAuthor()		{ return "Sylf"; }
	function GetName()			{ return "SyCity Growth"; }
	function GetDescription() 	{ return "Cities needs certain level of transportation provided to grow."; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2012-01-07"; }
	function CreateInstance()	{ return "SyCityGrowth"; }
	function GetShortName()		{ return "SyCG"; }
	function GetAPIVersion()	{ return "1.2"; }
	function GetUrl()			{ return ""; }
	function GetSettings() {
		AddSetting({name = "min_transport_pax", description = "Minimun Percentage of Passengers Transported", easy_value = 0, medium_value = 30, hard_value = 50, custom_value = 50, flags = CONFIG_INGAME, min_value = 0, max_value = 100});

		AddSetting({name = "min_transport_mail", description = "Minimun Percentage of Passengers Transported", easy_value = 0, medium_value = 30, hard_value = 50, custom_value = 50, flags = CONFIG_INGAME, min_value = 0, max_value = 100});

		AddSetting({name = "log_level", description = "Debug: Log level (higher = print more)", easy_value = 1, medium_value = 1, hard_value = 1, custom_value = 1, flags = CONFIG_INGAME, min_value = 1, max_value = 3});
	}

}

RegisterGS(SyCityGrowth());
